
rbd - Feature #2951

cls_rbd: remove locking methods

08/15/2012 11:49 AM - Josh Durgin

Status: Resolved % Done: 0%

Priority: High Spent time: 0.00 hour

Assignee: Josh Durgin   

Category:    

Target version: v0.53b   

Source:  Reviewed:  

Tags:  Affected Versions:  

Backport:  Pull request ID:  

Description

Remove the unused cls_rbd locking methods, and merge the tests with the cls_lock tests.

Related issues:

Blocked by rbd - Feature #2952: librbd: use generic rados locking class Resolved 08/15/2012

History

#1 - 08/15/2012 11:52 AM - Josh Durgin

- translation missing: en.field_story_points set to 2

#2 - 08/15/2012 01:51 PM - Josh Durgin

- translation missing: en.field_position set to 1

#3 - 08/27/2012 11:20 AM - Sage Weil

- Target version set to v0.53a

- translation missing: en.field_position deleted (9)

- translation missing: en.field_position set to 9

#4 - 09/04/2012 10:56 AM - Sage Weil

- Target version changed from v0.53a to v0.53b

- translation missing: en.field_position deleted (12)

- translation missing: en.field_position set to 3

#5 - 09/07/2012 07:16 PM - Josh Durgin

- Status changed from New to Fix Under Review

- Assignee set to Josh Durgin

wip-librbd-locking

#6 - 09/18/2012 04:43 PM - Josh Durgin

- Status changed from Fix Under Review to Resolved
